Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class IntrospectionUtil

    java.lang.Object
      org.mortbay.util.IntrospectionUtil

    public class IntrospectionUtil

extends java.lang.Object

IntrospectionUtil

Constructor Summary
`IntrospectionUtil()`

Method Summary
`static boolean` | `checkParams(java.lang.Class[] formalParams, java.lang.Class[] actualParams, boolean strict)`
`static boolean` | `containsSameFieldName(java.lang.reflect.Field field, java.lang.Class c, boolean checkPackage)`
`static boolean` | `containsSameMethodSignature(java.lang.reflect.Method method, java.lang.Class c, boolean checkPackage)`
`static java.lang.reflect.Field` | `findField(java.lang.Class clazz, java.lang.String targetName, java.lang.Class targetType, boolean checkInheritance, boolean strictType)`
`protected static java.lang.reflect.Field` | `findInheritedField(java.lang.Package pack, java.lang.Class clazz, java.lang.String fieldName, java.lang.Class fieldType, boolean strictType)`
`protected static java.lang.reflect.Method` | `findInheritedMethod(java.lang.Package pack, java.lang.Class clazz, java.lang.String methodName, java.lang.Class[] args, boolean strictArgs)`
`static java.lang.reflect.Method` | `findMethod(java.lang.Class clazz, java.lang.String methodName, java.lang.Class[] args, boolean checkInheritance, boolean strictArgs)`
`static boolean` | `isInheritable(java.lang.Package pack, java.lang.reflect.Member member)`
`static boolean` | `isJavaBeanCompliantSetter(java.lang.reflect.Method method)`
`static boolean` | `isSameSignature(java.lang.reflect.Method methodA, java.lang.reflect.Method methodB)`
`static boolean` | `isTypeCompatible(java.lang.Class formalType, java.lang.Class actualType, boolean strict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrospectionUtil

    public IntrospectionUtil()

Method Detail

### isJavaBeanCompliantSetter

    public static boolean isJavaBeanCompliantSetter(java.lang.reflect.Method method)

### findMethod

    public static java.lang.reflect.Method findMethod(java.lang.Class clazz,
                                                      java.lang.String methodName,
                                                      java.lang.Class[] args,
                                                      boolean checkInheritance,
                                                      boolean strictArgs)
                                               throws java.lang.NoSuchMethodException

  Throws:
    `java.lang.NoSuchMethodException`

### findField

    public static java.lang.reflect.Field findField(java.lang.Class clazz,
                                                    java.lang.String targetName,
                                                    java.lang.Class targetType,
                                                    boolean checkInheritance,
                                                    boolean strictType)
                                             throws java.lang.NoSuchFieldException

  Throws:
    `java.lang.NoSuchFieldException`

### isInheritable

    public static boolean isInheritable(java.lang.Package pack,
                                        java.lang.reflect.Member member)

### checkParams

    public static boolean checkParams(java.lang.Class[] formalParams,
                                      java.lang.Class[] actualParams,
                                      boolean strict)

### isSameSignature

    public static boolean isSameSignature(java.lang.reflect.Method methodA,
                                          java.lang.reflect.Method methodB)

### isTypeCompatible

    public static boolean isTypeCompatible(java.lang.Class formalType,
                                           java.lang.Class actualType,
                                           boolean strict)

### containsSameMethodSignature

    public static boolean containsSameMethodSignature(java.lang.reflect.Method method,
                                                      java.lang.Class c,
                                                      boolean checkPackage)

### containsSameFieldName

    public static boolean containsSameFieldName(java.lang.reflect.Field field,
                                                java.lang.Class c,
                                                boolean checkPackage)

### findInheritedMethod

    protected static java.lang.reflect.Method findInheritedMethod(java.lang.Package pack,
                                                                  java.lang.Class clazz,
                                                                  java.lang.String methodName,
                                                                  java.lang.Class[] args,
                                                                  boolean strictArgs)
                                                           throws java.lang.NoSuchMethodException

  Throws:
    `java.lang.NoSuchMethodException`

### findInheritedField

    protected static java.lang.reflect.Field findInheritedField(java.lang.Package pack,
                                                                java.lang.Class clazz,
                                                                java.lang.String fieldName,
                                                                java.lang.Class fieldType,
                                                                boolean strictType)
                                                         throws java.lang.NoSuchFieldException

  Throws:
    `java.lang.NoSuchFieldException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.